from edison_dictionary_api import EdisonBaseAPI


class continentsController(EdisonBaseAPI):
    """Continents."""

    _controller_name = "continentsController"

    def list(self):
        """"""

        all_api_parameters = {}
        parameters_names_map = {}
        api = '/continents/list'
        actions = ['post']
        params, data = self._format_params_for_api(locals(), all_api_parameters, parameters_names_map)
        return self._process_api(self._controller_name, api, actions, params, data)

    def retrieve(self, continentId):
        """

        Args:
            continentId: (string): continentId

        Returns:
            application/json;charset=UTF-8
        """

        all_api_parameters = {'continentId': {'name': 'continentId', 'required': True, 'in': 'query'}}
        parameters_names_map = {}
        api = '/continents/retrieve'
        actions = ['post']
        params, data = self._format_params_for_api(locals(), all_api_parameters, parameters_names_map)
        return self._process_api(self._controller_name, api, actions, params, data)
