from edison_dictionary_api import EdisonBaseAPI


class languagesController(EdisonBaseAPI):
    """Supported languages."""

    _controller_name = "languagesController"

    def list(self):
        """"""

        all_api_parameters = {}
        parameters_names_map = {}
        api = '/languages/list'
        actions = ['post']
        params, data = self._format_params_for_api(locals(), all_api_parameters, parameters_names_map)
        return self._process_api(self._controller_name, api, actions, params, data)

    def retrieve(self, languageId):
        """

        Args:
            languageId: (string): languageId

        Returns:
            application/json;charset=UTF-8
        """

        all_api_parameters = {'languageId': {'name': 'languageId', 'required': True, 'in': 'query'}}
        parameters_names_map = {}
        api = '/languages/retrieve'
        actions = ['post']
        params, data = self._format_params_for_api(locals(), all_api_parameters, parameters_names_map)
        return self._process_api(self._controller_name, api, actions, params, data)
